// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.5
// source: protos/user.proto

package user

import (
	common "example.com/tung-pt/go-lang/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type UserRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ListUser []*common.UserModel `protobuf:"bytes,1,rep,name=listUser,proto3" json:"listUser,omitempty"`
}

func (x *UserRequest) Reset() {
	*x = UserRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UserRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UserRequest) ProtoMessage() {}

func (x *UserRequest) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UserRequest.ProtoReflect.Descriptor instead.
func (*UserRequest) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{0}
}

func (x *UserRequest) GetListUser() []*common.UserModel {
	if x != nil {
		return x.ListUser
	}
	return nil
}

type UserPinFromMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserConnectId string `protobuf:"bytes,1,opt,name=userConnectId,proto3" json:"userConnectId,omitempty"`
	PINCode       string `protobuf:"bytes,2,opt,name=PINCode,proto3" json:"PINCode,omitempty"`
}

func (x *UserPinFromMessage) Reset() {
	*x = UserPinFromMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UserPinFromMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UserPinFromMessage) ProtoMessage() {}

func (x *UserPinFromMessage) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UserPinFromMessage.ProtoReflect.Descriptor instead.
func (*UserPinFromMessage) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{1}
}

func (x *UserPinFromMessage) GetUserConnectId() string {
	if x != nil {
		return x.UserConnectId
	}
	return ""
}

func (x *UserPinFromMessage) GetPINCode() string {
	if x != nil {
		return x.PINCode
	}
	return ""
}

type DeviceAddRequestFrom3RdMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserConnectId      string `protobuf:"bytes,1,opt,name=userConnectId,proto3" json:"userConnectId,omitempty"`
	DeviceId           string `protobuf:"bytes,2,opt,name=deviceId,proto3" json:"deviceId,omitempty"`
	DeviceName         string `protobuf:"bytes,3,opt,name=deviceName,proto3" json:"deviceName,omitempty"`
	FirebaseToken      string `protobuf:"bytes,4,opt,name=firebaseToken,proto3" json:"firebaseToken,omitempty"`
	IsIdentifierDevice bool   `protobuf:"varint,5,opt,name=isIdentifierDevice,proto3" json:"isIdentifierDevice,omitempty"`
}

func (x *DeviceAddRequestFrom3RdMessage) Reset() {
	*x = DeviceAddRequestFrom3RdMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeviceAddRequestFrom3RdMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeviceAddRequestFrom3RdMessage) ProtoMessage() {}

func (x *DeviceAddRequestFrom3RdMessage) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeviceAddRequestFrom3RdMessage.ProtoReflect.Descriptor instead.
func (*DeviceAddRequestFrom3RdMessage) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{2}
}

func (x *DeviceAddRequestFrom3RdMessage) GetUserConnectId() string {
	if x != nil {
		return x.UserConnectId
	}
	return ""
}

func (x *DeviceAddRequestFrom3RdMessage) GetDeviceId() string {
	if x != nil {
		return x.DeviceId
	}
	return ""
}

func (x *DeviceAddRequestFrom3RdMessage) GetDeviceName() string {
	if x != nil {
		return x.DeviceName
	}
	return ""
}

func (x *DeviceAddRequestFrom3RdMessage) GetFirebaseToken() string {
	if x != nil {
		return x.FirebaseToken
	}
	return ""
}

func (x *DeviceAddRequestFrom3RdMessage) GetIsIdentifierDevice() bool {
	if x != nil {
		return x.IsIdentifierDevice
	}
	return false
}

type AddFirebaseRequestMessage3Rd struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserConnectId string `protobuf:"bytes,1,opt,name=userConnectId,proto3" json:"userConnectId,omitempty"`
	DeviceId      string `protobuf:"bytes,2,opt,name=deviceId,proto3" json:"deviceId,omitempty"`
	FirebaseToken string `protobuf:"bytes,3,opt,name=firebaseToken,proto3" json:"firebaseToken,omitempty"`
}

func (x *AddFirebaseRequestMessage3Rd) Reset() {
	*x = AddFirebaseRequestMessage3Rd{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddFirebaseRequestMessage3Rd) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddFirebaseRequestMessage3Rd) ProtoMessage() {}

func (x *AddFirebaseRequestMessage3Rd) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddFirebaseRequestMessage3Rd.ProtoReflect.Descriptor instead.
func (*AddFirebaseRequestMessage3Rd) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{3}
}

func (x *AddFirebaseRequestMessage3Rd) GetUserConnectId() string {
	if x != nil {
		return x.UserConnectId
	}
	return ""
}

func (x *AddFirebaseRequestMessage3Rd) GetDeviceId() string {
	if x != nil {
		return x.DeviceId
	}
	return ""
}

func (x *AddFirebaseRequestMessage3Rd) GetFirebaseToken() string {
	if x != nil {
		return x.FirebaseToken
	}
	return ""
}

type RequestListCertificate struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserConnectId string `protobuf:"bytes,1,opt,name=userConnectId,proto3" json:"userConnectId,omitempty"`
	GetAll        bool   `protobuf:"varint,2,opt,name=getAll,proto3" json:"getAll,omitempty"`
}

func (x *RequestListCertificate) Reset() {
	*x = RequestListCertificate{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RequestListCertificate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RequestListCertificate) ProtoMessage() {}

func (x *RequestListCertificate) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RequestListCertificate.ProtoReflect.Descriptor instead.
func (*RequestListCertificate) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{4}
}

func (x *RequestListCertificate) GetUserConnectId() string {
	if x != nil {
		return x.UserConnectId
	}
	return ""
}

func (x *RequestListCertificate) GetGetAll() bool {
	if x != nil {
		return x.GetAll
	}
	return false
}

type GetCertificateDetailOfUserMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id            string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	UserConnectId string `protobuf:"bytes,2,opt,name=userConnectId,proto3" json:"userConnectId,omitempty"`
}

func (x *GetCertificateDetailOfUserMessage) Reset() {
	*x = GetCertificateDetailOfUserMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetCertificateDetailOfUserMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetCertificateDetailOfUserMessage) ProtoMessage() {}

func (x *GetCertificateDetailOfUserMessage) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetCertificateDetailOfUserMessage.ProtoReflect.Descriptor instead.
func (*GetCertificateDetailOfUserMessage) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{5}
}

func (x *GetCertificateDetailOfUserMessage) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *GetCertificateDetailOfUserMessage) GetUserConnectId() string {
	if x != nil {
		return x.UserConnectId
	}
	return ""
}

type CreateEFormRequestCertFrom3RdMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserConnectId string                              `protobuf:"bytes,1,opt,name=userConnectId,proto3" json:"userConnectId,omitempty"`
	CertValidTime string                              `protobuf:"bytes,2,opt,name=certValidTime,proto3" json:"certValidTime,omitempty"`
	UserModel     *common.UserModel                   `protobuf:"bytes,3,opt,name=userModel,proto3" json:"userModel,omitempty"`
	Location      *common.LocationSignMessage         `protobuf:"bytes,4,opt,name=location,proto3" json:"location,omitempty"`
	DeviceInfo    *common.OpratingSystemMobileMessage `protobuf:"bytes,5,opt,name=deviceInfo,proto3" json:"deviceInfo,omitempty"`
}

func (x *CreateEFormRequestCertFrom3RdMessage) Reset() {
	*x = CreateEFormRequestCertFrom3RdMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateEFormRequestCertFrom3RdMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateEFormRequestCertFrom3RdMessage) ProtoMessage() {}

func (x *CreateEFormRequestCertFrom3RdMessage) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateEFormRequestCertFrom3RdMessage.ProtoReflect.Descriptor instead.
func (*CreateEFormRequestCertFrom3RdMessage) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{6}
}

func (x *CreateEFormRequestCertFrom3RdMessage) GetUserConnectId() string {
	if x != nil {
		return x.UserConnectId
	}
	return ""
}

func (x *CreateEFormRequestCertFrom3RdMessage) GetCertValidTime() string {
	if x != nil {
		return x.CertValidTime
	}
	return ""
}

func (x *CreateEFormRequestCertFrom3RdMessage) GetUserModel() *common.UserModel {
	if x != nil {
		return x.UserModel
	}
	return nil
}

func (x *CreateEFormRequestCertFrom3RdMessage) GetLocation() *common.LocationSignMessage {
	if x != nil {
		return x.Location
	}
	return nil
}

func (x *CreateEFormRequestCertFrom3RdMessage) GetDeviceInfo() *common.OpratingSystemMobileMessage {
	if x != nil {
		return x.DeviceInfo
	}
	return nil
}

type ConfirmEFormRequestCertFrom3RdMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserConnectId string                              `protobuf:"bytes,1,opt,name=userConnectId,proto3" json:"userConnectId,omitempty"`
	DocumentCode  string                              `protobuf:"bytes,2,opt,name=documentCode,proto3" json:"documentCode,omitempty"`
	Location      *common.LocationSignMessage         `protobuf:"bytes,3,opt,name=location,proto3" json:"location,omitempty"`
	DeviceInfo    *common.OpratingSystemMobileMessage `protobuf:"bytes,4,opt,name=deviceInfo,proto3" json:"deviceInfo,omitempty"`
}

func (x *ConfirmEFormRequestCertFrom3RdMessage) Reset() {
	*x = ConfirmEFormRequestCertFrom3RdMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConfirmEFormRequestCertFrom3RdMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConfirmEFormRequestCertFrom3RdMessage) ProtoMessage() {}

func (x *ConfirmEFormRequestCertFrom3RdMessage) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConfirmEFormRequestCertFrom3RdMessage.ProtoReflect.Descriptor instead.
func (*ConfirmEFormRequestCertFrom3RdMessage) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{7}
}

func (x *ConfirmEFormRequestCertFrom3RdMessage) GetUserConnectId() string {
	if x != nil {
		return x.UserConnectId
	}
	return ""
}

func (x *ConfirmEFormRequestCertFrom3RdMessage) GetDocumentCode() string {
	if x != nil {
		return x.DocumentCode
	}
	return ""
}

func (x *ConfirmEFormRequestCertFrom3RdMessage) GetLocation() *common.LocationSignMessage {
	if x != nil {
		return x.Location
	}
	return nil
}

func (x *ConfirmEFormRequestCertFrom3RdMessage) GetDeviceInfo() *common.OpratingSystemMobileMessage {
	if x != nil {
		return x.DeviceInfo
	}
	return nil
}

type CreateEFormFrom3RdMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserConnectId string                              `protobuf:"bytes,1,opt,name=userConnectId,proto3" json:"userConnectId,omitempty"`
	Location      *common.LocationSignMessage         `protobuf:"bytes,2,opt,name=location,proto3" json:"location,omitempty"`
	DeviceInfo    *common.OpratingSystemMobileMessage `protobuf:"bytes,3,opt,name=deviceInfo,proto3" json:"deviceInfo,omitempty"`
}

func (x *CreateEFormFrom3RdMessage) Reset() {
	*x = CreateEFormFrom3RdMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateEFormFrom3RdMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateEFormFrom3RdMessage) ProtoMessage() {}

func (x *CreateEFormFrom3RdMessage) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateEFormFrom3RdMessage.ProtoReflect.Descriptor instead.
func (*CreateEFormFrom3RdMessage) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{8}
}

func (x *CreateEFormFrom3RdMessage) GetUserConnectId() string {
	if x != nil {
		return x.UserConnectId
	}
	return ""
}

func (x *CreateEFormFrom3RdMessage) GetLocation() *common.LocationSignMessage {
	if x != nil {
		return x.Location
	}
	return nil
}

func (x *CreateEFormFrom3RdMessage) GetDeviceInfo() *common.OpratingSystemMobileMessage {
	if x != nil {
		return x.DeviceInfo
	}
	return nil
}

type ConfirmEFormFrom3RdMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserConnectId string                              `protobuf:"bytes,1,opt,name=userConnectId,proto3" json:"userConnectId,omitempty"`
	DocumentCode  string                              `protobuf:"bytes,2,opt,name=documentCode,proto3" json:"documentCode,omitempty"`
	Location      *common.LocationSignMessage         `protobuf:"bytes,3,opt,name=location,proto3" json:"location,omitempty"`
	DeviceInfo    *common.OpratingSystemMobileMessage `protobuf:"bytes,4,opt,name=deviceInfo,proto3" json:"deviceInfo,omitempty"`
}

func (x *ConfirmEFormFrom3RdMessage) Reset() {
	*x = ConfirmEFormFrom3RdMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConfirmEFormFrom3RdMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConfirmEFormFrom3RdMessage) ProtoMessage() {}

func (x *ConfirmEFormFrom3RdMessage) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConfirmEFormFrom3RdMessage.ProtoReflect.Descriptor instead.
func (*ConfirmEFormFrom3RdMessage) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{9}
}

func (x *ConfirmEFormFrom3RdMessage) GetUserConnectId() string {
	if x != nil {
		return x.UserConnectId
	}
	return ""
}

func (x *ConfirmEFormFrom3RdMessage) GetDocumentCode() string {
	if x != nil {
		return x.DocumentCode
	}
	return ""
}

func (x *ConfirmEFormFrom3RdMessage) GetLocation() *common.LocationSignMessage {
	if x != nil {
		return x.Location
	}
	return nil
}

func (x *ConfirmEFormFrom3RdMessage) GetDeviceInfo() *common.OpratingSystemMobileMessage {
	if x != nil {
		return x.DeviceInfo
	}
	return nil
}

type CertificateResponseDetailMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	CreatedDate       string `protobuf:"bytes,2,opt,name=createdDate,proto3" json:"createdDate,omitempty"`
	SubjectDN         string `protobuf:"bytes,3,opt,name=subjectDN,proto3" json:"subjectDN,omitempty"`
	CertificateBase64 string `protobuf:"bytes,4,opt,name=certificateBase64,proto3" json:"certificateBase64,omitempty"`
	ValidFrom         string `protobuf:"bytes,5,opt,name=validFrom,proto3" json:"validFrom,omitempty"`
	ValidTo           string `protobuf:"bytes,6,opt,name=validTo,proto3" json:"validTo,omitempty"`
}

func (x *CertificateResponseDetailMessage) Reset() {
	*x = CertificateResponseDetailMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CertificateResponseDetailMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CertificateResponseDetailMessage) ProtoMessage() {}

func (x *CertificateResponseDetailMessage) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CertificateResponseDetailMessage.ProtoReflect.Descriptor instead.
func (*CertificateResponseDetailMessage) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{10}
}

func (x *CertificateResponseDetailMessage) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *CertificateResponseDetailMessage) GetCreatedDate() string {
	if x != nil {
		return x.CreatedDate
	}
	return ""
}

func (x *CertificateResponseDetailMessage) GetSubjectDN() string {
	if x != nil {
		return x.SubjectDN
	}
	return ""
}

func (x *CertificateResponseDetailMessage) GetCertificateBase64() string {
	if x != nil {
		return x.CertificateBase64
	}
	return ""
}

func (x *CertificateResponseDetailMessage) GetValidFrom() string {
	if x != nil {
		return x.ValidFrom
	}
	return ""
}

func (x *CertificateResponseDetailMessage) GetValidTo() string {
	if x != nil {
		return x.ValidTo
	}
	return ""
}

type GetCertificateDetailOfUserResponseDetailMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                     string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	CreatedDate            string   `protobuf:"bytes,2,opt,name=createdDate,proto3" json:"createdDate,omitempty"`
	SubjectDN              string   `protobuf:"bytes,3,opt,name=subjectDN,proto3" json:"subjectDN,omitempty"`
	CertificateBase64      string   `protobuf:"bytes,4,opt,name=certificateBase64,proto3" json:"certificateBase64,omitempty"`
	ValidFrom              string   `protobuf:"bytes,5,opt,name=validFrom,proto3" json:"validFrom,omitempty"`
	ValidTo                string   `protobuf:"bytes,6,opt,name=validTo,proto3" json:"validTo,omitempty"`
	ChainCertificateBase64 []string `protobuf:"bytes,7,rep,name=chainCertificateBase64,proto3" json:"chainCertificateBase64,omitempty"`
}

func (x *GetCertificateDetailOfUserResponseDetailMessage) Reset() {
	*x = GetCertificateDetailOfUserResponseDetailMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetCertificateDetailOfUserResponseDetailMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetCertificateDetailOfUserResponseDetailMessage) ProtoMessage() {}

func (x *GetCertificateDetailOfUserResponseDetailMessage) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetCertificateDetailOfUserResponseDetailMessage.ProtoReflect.Descriptor instead.
func (*GetCertificateDetailOfUserResponseDetailMessage) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{11}
}

func (x *GetCertificateDetailOfUserResponseDetailMessage) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *GetCertificateDetailOfUserResponseDetailMessage) GetCreatedDate() string {
	if x != nil {
		return x.CreatedDate
	}
	return ""
}

func (x *GetCertificateDetailOfUserResponseDetailMessage) GetSubjectDN() string {
	if x != nil {
		return x.SubjectDN
	}
	return ""
}

func (x *GetCertificateDetailOfUserResponseDetailMessage) GetCertificateBase64() string {
	if x != nil {
		return x.CertificateBase64
	}
	return ""
}

func (x *GetCertificateDetailOfUserResponseDetailMessage) GetValidFrom() string {
	if x != nil {
		return x.ValidFrom
	}
	return ""
}

func (x *GetCertificateDetailOfUserResponseDetailMessage) GetValidTo() string {
	if x != nil {
		return x.ValidTo
	}
	return ""
}

func (x *GetCertificateDetailOfUserResponseDetailMessage) GetChainCertificateBase64() []string {
	if x != nil {
		return x.ChainCertificateBase64
	}
	return nil
}

type ListCertificateResponseDetailMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data []*CertificateResponseDetailMessage `protobuf:"bytes,1,rep,name=data,proto3" json:"data,omitempty"`
}

func (x *ListCertificateResponseDetailMessage) Reset() {
	*x = ListCertificateResponseDetailMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListCertificateResponseDetailMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListCertificateResponseDetailMessage) ProtoMessage() {}

func (x *ListCertificateResponseDetailMessage) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListCertificateResponseDetailMessage.ProtoReflect.Descriptor instead.
func (*ListCertificateResponseDetailMessage) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{12}
}

func (x *ListCertificateResponseDetailMessage) GetData() []*CertificateResponseDetailMessage {
	if x != nil {
		return x.Data
	}
	return nil
}

type CreateEFormRequestCertFrom3RdResponseDataMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	EFormType    string `protobuf:"bytes,1,opt,name=eFormType,proto3" json:"eFormType,omitempty"`
	DocumentCode string `protobuf:"bytes,2,opt,name=documentCode,proto3" json:"documentCode,omitempty"`
	FileUrl      string `protobuf:"bytes,3,opt,name=fileUrl,proto3" json:"fileUrl,omitempty"`
}

func (x *CreateEFormRequestCertFrom3RdResponseDataMessage) Reset() {
	*x = CreateEFormRequestCertFrom3RdResponseDataMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateEFormRequestCertFrom3RdResponseDataMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateEFormRequestCertFrom3RdResponseDataMessage) ProtoMessage() {}

func (x *CreateEFormRequestCertFrom3RdResponseDataMessage) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateEFormRequestCertFrom3RdResponseDataMessage.ProtoReflect.Descriptor instead.
func (*CreateEFormRequestCertFrom3RdResponseDataMessage) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{13}
}

func (x *CreateEFormRequestCertFrom3RdResponseDataMessage) GetEFormType() string {
	if x != nil {
		return x.EFormType
	}
	return ""
}

func (x *CreateEFormRequestCertFrom3RdResponseDataMessage) GetDocumentCode() string {
	if x != nil {
		return x.DocumentCode
	}
	return ""
}

func (x *CreateEFormRequestCertFrom3RdResponseDataMessage) GetFileUrl() string {
	if x != nil {
		return x.FileUrl
	}
	return ""
}

type ConfirmEFormRequestCertFrom3RdResponseDataMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DocumentCode      string `protobuf:"bytes,1,opt,name=documentCode,proto3" json:"documentCode,omitempty"`
	FileUrl           string `protobuf:"bytes,2,opt,name=fileUrl,proto3" json:"fileUrl,omitempty"`
	CertificateBase64 string `protobuf:"bytes,3,opt,name=certificateBase64,proto3" json:"certificateBase64,omitempty"`
}

func (x *ConfirmEFormRequestCertFrom3RdResponseDataMessage) Reset() {
	*x = ConfirmEFormRequestCertFrom3RdResponseDataMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConfirmEFormRequestCertFrom3RdResponseDataMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConfirmEFormRequestCertFrom3RdResponseDataMessage) ProtoMessage() {}

func (x *ConfirmEFormRequestCertFrom3RdResponseDataMessage) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConfirmEFormRequestCertFrom3RdResponseDataMessage.ProtoReflect.Descriptor instead.
func (*ConfirmEFormRequestCertFrom3RdResponseDataMessage) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{14}
}

func (x *ConfirmEFormRequestCertFrom3RdResponseDataMessage) GetDocumentCode() string {
	if x != nil {
		return x.DocumentCode
	}
	return ""
}

func (x *ConfirmEFormRequestCertFrom3RdResponseDataMessage) GetFileUrl() string {
	if x != nil {
		return x.FileUrl
	}
	return ""
}

func (x *ConfirmEFormRequestCertFrom3RdResponseDataMessage) GetCertificateBase64() string {
	if x != nil {
		return x.CertificateBase64
	}
	return ""
}

type CreateEFormFrom3RdResponseDataMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	EFormType        string `protobuf:"bytes,1,opt,name=eFormType,proto3" json:"eFormType,omitempty"`
	DocumentCode     string `protobuf:"bytes,2,opt,name=documentCode,proto3" json:"documentCode,omitempty"`
	FileUrl          string `protobuf:"bytes,3,opt,name=fileUrl,proto3" json:"fileUrl,omitempty"`
	IdentifierDevice string `protobuf:"bytes,4,opt,name=identifierDevice,proto3" json:"identifierDevice,omitempty"`
	DocumentStatus   int32  `protobuf:"varint,5,opt,name=documentStatus,proto3" json:"documentStatus,omitempty"`
}

func (x *CreateEFormFrom3RdResponseDataMessage) Reset() {
	*x = CreateEFormFrom3RdResponseDataMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateEFormFrom3RdResponseDataMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateEFormFrom3RdResponseDataMessage) ProtoMessage() {}

func (x *CreateEFormFrom3RdResponseDataMessage) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateEFormFrom3RdResponseDataMessage.ProtoReflect.Descriptor instead.
func (*CreateEFormFrom3RdResponseDataMessage) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{15}
}

func (x *CreateEFormFrom3RdResponseDataMessage) GetEFormType() string {
	if x != nil {
		return x.EFormType
	}
	return ""
}

func (x *CreateEFormFrom3RdResponseDataMessage) GetDocumentCode() string {
	if x != nil {
		return x.DocumentCode
	}
	return ""
}

func (x *CreateEFormFrom3RdResponseDataMessage) GetFileUrl() string {
	if x != nil {
		return x.FileUrl
	}
	return ""
}

func (x *CreateEFormFrom3RdResponseDataMessage) GetIdentifierDevice() string {
	if x != nil {
		return x.IdentifierDevice
	}
	return ""
}

func (x *CreateEFormFrom3RdResponseDataMessage) GetDocumentStatus() int32 {
	if x != nil {
		return x.DocumentStatus
	}
	return 0
}

type ConfirmEFormFrom3RdResponseDataMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DocumentCode string `protobuf:"bytes,1,opt,name=documentCode,proto3" json:"documentCode,omitempty"`
	FileUrl      string `protobuf:"bytes,2,opt,name=fileUrl,proto3" json:"fileUrl,omitempty"`
}

func (x *ConfirmEFormFrom3RdResponseDataMessage) Reset() {
	*x = ConfirmEFormFrom3RdResponseDataMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_protos_user_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConfirmEFormFrom3RdResponseDataMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConfirmEFormFrom3RdResponseDataMessage) ProtoMessage() {}

func (x *ConfirmEFormFrom3RdResponseDataMessage) ProtoReflect() protoreflect.Message {
	mi := &file_protos_user_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConfirmEFormFrom3RdResponseDataMessage.ProtoReflect.Descriptor instead.
func (*ConfirmEFormFrom3RdResponseDataMessage) Descriptor() ([]byte, []int) {
	return file_protos_user_proto_rawDescGZIP(), []int{16}
}

func (x *ConfirmEFormFrom3RdResponseDataMessage) GetDocumentCode() string {
	if x != nil {
		return x.DocumentCode
	}
	return ""
}

func (x *ConfirmEFormFrom3RdResponseDataMessage) GetFileUrl() string {
	if x != nil {
		return x.FileUrl
	}
	return ""
}

var File_protos_user_proto protoreflect.FileDescriptor

var file_protos_user_proto_rawDesc = []byte{
	0x0a, 0x11, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x04, 0x75, 0x73, 0x65, 0x72, 0x1a, 0x13, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x73, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x3c,
	0x0a, 0x0b, 0x55, 0x73, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2d, 0x0a,
	0x08, 0x6c, 0x69, 0x73, 0x74, 0x55, 0x73, 0x65, 0x72, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x11, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x4d, 0x6f, 0x64,
	0x65, 0x6c, 0x52, 0x08, 0x6c, 0x69, 0x73, 0x74, 0x55, 0x73, 0x65, 0x72, 0x22, 0x54, 0x0a, 0x12,
	0x55, 0x73, 0x65, 0x72, 0x50, 0x69, 0x6e, 0x46, 0x72, 0x6f, 0x6d, 0x4d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x12, 0x24, 0x0a, 0x0d, 0x75, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63,
	0x74, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x75, 0x73, 0x65, 0x72, 0x43,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x49, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x50, 0x49, 0x4e, 0x43,
	0x6f, 0x64, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x50, 0x49, 0x4e, 0x43, 0x6f,
	0x64, 0x65, 0x22, 0xd8, 0x01, 0x0a, 0x1e, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x41, 0x64, 0x64,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x46, 0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x4d, 0x65,
	0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x24, 0x0a, 0x0d, 0x75, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x75, 0x73,
	0x65, 0x72, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x49, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x64,
	0x65, 0x76, 0x69, 0x63, 0x65, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x64,
	0x65, 0x76, 0x69, 0x63, 0x65, 0x49, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x64, 0x65, 0x76, 0x69, 0x63,
	0x65, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x64, 0x65, 0x76,
	0x69, 0x63, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x24, 0x0a, 0x0d, 0x66, 0x69, 0x72, 0x65, 0x62,
	0x61, 0x73, 0x65, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d,
	0x66, 0x69, 0x72, 0x65, 0x62, 0x61, 0x73, 0x65, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x2e, 0x0a,
	0x12, 0x69, 0x73, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x44, 0x65, 0x76,
	0x69, 0x63, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x08, 0x52, 0x12, 0x69, 0x73, 0x49, 0x64, 0x65,
	0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x22, 0x86, 0x01,
	0x0a, 0x1c, 0x41, 0x64, 0x64, 0x46, 0x69, 0x72, 0x65, 0x62, 0x61, 0x73, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x33, 0x72, 0x64, 0x12, 0x24,
	0x0a, 0x0d, 0x75, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x49, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x75, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x6e, 0x65,
	0x63, 0x74, 0x49, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x49, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x49, 0x64,
	0x12, 0x24, 0x0a, 0x0d, 0x66, 0x69, 0x72, 0x65, 0x62, 0x61, 0x73, 0x65, 0x54, 0x6f, 0x6b, 0x65,
	0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x66, 0x69, 0x72, 0x65, 0x62, 0x61, 0x73,
	0x65, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x22, 0x56, 0x0a, 0x16, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x65, 0x72, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65,
	0x12, 0x24, 0x0a, 0x0d, 0x75, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x49,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x75, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x49, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x67, 0x65, 0x74, 0x41, 0x6c, 0x6c,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x67, 0x65, 0x74, 0x41, 0x6c, 0x6c, 0x22, 0x59,
	0x0a, 0x21, 0x47, 0x65, 0x74, 0x43, 0x65, 0x72, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65,
	0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x4f, 0x66, 0x55, 0x73, 0x65, 0x72, 0x4d, 0x65, 0x73, 0x73,
	0x61, 0x67, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x02, 0x69, 0x64, 0x12, 0x24, 0x0a, 0x0d, 0x75, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x6e, 0x65,
	0x63, 0x74, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x75, 0x73, 0x65, 0x72,
	0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x49, 0x64, 0x22, 0xa1, 0x02, 0x0a, 0x24, 0x43, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x45, 0x46, 0x6f, 0x72, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x43, 0x65, 0x72, 0x74, 0x46, 0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x4d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x12, 0x24, 0x0a, 0x0d, 0x75, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63,
	0x74, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x75, 0x73, 0x65, 0x72, 0x43,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x49, 0x64, 0x12, 0x24, 0x0a, 0x0d, 0x63, 0x65, 0x72, 0x74,
	0x56, 0x61, 0x6c, 0x69, 0x64, 0x54, 0x69, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0d, 0x63, 0x65, 0x72, 0x74, 0x56, 0x61, 0x6c, 0x69, 0x64, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x2f,
	0x0a, 0x09, 0x75, 0x73, 0x65, 0x72, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x11, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x4d,
	0x6f, 0x64, 0x65, 0x6c, 0x52, 0x09, 0x75, 0x73, 0x65, 0x72, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x12,
	0x37, 0x0a, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1b, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4c, 0x6f, 0x63, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x53, 0x69, 0x67, 0x6e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x52, 0x08,
	0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x43, 0x0a, 0x0a, 0x64, 0x65, 0x76, 0x69,
	0x63, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4f, 0x70, 0x72, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x53, 0x79,
	0x73, 0x74, 0x65, 0x6d, 0x4d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67,
	0x65, 0x52, 0x0a, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x22, 0xef, 0x01,
	0x0a, 0x25, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x45, 0x46, 0x6f, 0x72, 0x6d, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x43, 0x65, 0x72, 0x74, 0x46, 0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64,
	0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x24, 0x0a, 0x0d, 0x75, 0x73, 0x65, 0x72, 0x43,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d,
	0x75, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x49, 0x64, 0x12, 0x22, 0x0a,
	0x0c, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x64, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0c, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x64,
	0x65, 0x12, 0x37, 0x0a, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4c, 0x6f, 0x63,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x69, 0x67, 0x6e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x52, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x43, 0x0a, 0x0a, 0x64, 0x65,
	0x76, 0x69, 0x63, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23,
	0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4f, 0x70, 0x72, 0x61, 0x74, 0x69, 0x6e, 0x67,
	0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x4d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x4d, 0x65, 0x73, 0x73,
	0x61, 0x67, 0x65, 0x52, 0x0a, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x22,
	0xbf, 0x01, 0x0a, 0x19, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x45, 0x46, 0x6f, 0x72, 0x6d, 0x46,
	0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x24, 0x0a,
	0x0d, 0x75, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x49, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x75, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63,
	0x74, 0x49, 0x64, 0x12, 0x37, 0x0a, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4c,
	0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x69, 0x67, 0x6e, 0x4d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x52, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x43, 0x0a, 0x0a,
	0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4f, 0x70, 0x72, 0x61, 0x74, 0x69,
	0x6e, 0x67, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x4d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x4d, 0x65,
	0x73, 0x73, 0x61, 0x67, 0x65, 0x52, 0x0a, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x49, 0x6e, 0x66,
	0x6f, 0x22, 0xe4, 0x01, 0x0a, 0x1a, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x45, 0x46, 0x6f,
	0x72, 0x6d, 0x46, 0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x12, 0x24, 0x0a, 0x0d, 0x75, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x49,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x75, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x49, 0x64, 0x12, 0x22, 0x0a, 0x0c, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65,
	0x6e, 0x74, 0x43, 0x6f, 0x64, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x64, 0x6f,
	0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x37, 0x0a, 0x08, 0x6c, 0x6f,
	0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x69,
	0x67, 0x6e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x52, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x43, 0x0a, 0x0a, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x49, 0x6e, 0x66,
	0x6f, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x4f, 0x70, 0x72, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x4d,
	0x6f, 0x62, 0x69, 0x6c, 0x65, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x52, 0x0a, 0x64, 0x65,
	0x76, 0x69, 0x63, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x22, 0xd8, 0x01, 0x0a, 0x20, 0x43, 0x65, 0x72,
	0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x20, 0x0a,
	0x0b, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x44, 0x61, 0x74, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0b, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x44, 0x61, 0x74, 0x65, 0x12,
	0x1c, 0x0a, 0x09, 0x73, 0x75, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x44, 0x4e, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x09, 0x73, 0x75, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x44, 0x4e, 0x12, 0x2c, 0x0a,
	0x11, 0x63, 0x65, 0x72, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x42, 0x61, 0x73, 0x65,
	0x36, 0x34, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x11, 0x63, 0x65, 0x72, 0x74, 0x69, 0x66,
	0x69, 0x63, 0x61, 0x74, 0x65, 0x42, 0x61, 0x73, 0x65, 0x36, 0x34, 0x12, 0x1c, 0x0a, 0x09, 0x76,
	0x61, 0x6c, 0x69, 0x64, 0x46, 0x72, 0x6f, 0x6d, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09,
	0x76, 0x61, 0x6c, 0x69, 0x64, 0x46, 0x72, 0x6f, 0x6d, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x61, 0x6c,
	0x69, 0x64, 0x54, 0x6f, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x61, 0x6c, 0x69,
	0x64, 0x54, 0x6f, 0x22, 0x9f, 0x02, 0x0a, 0x2f, 0x47, 0x65, 0x74, 0x43, 0x65, 0x72, 0x74, 0x69,
	0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x4f, 0x66, 0x55, 0x73,
	0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c,
	0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x20, 0x0a, 0x0b, 0x63, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x64, 0x44, 0x61, 0x74, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x63, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x64, 0x44, 0x61, 0x74, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x73, 0x75, 0x62,
	0x6a, 0x65, 0x63, 0x74, 0x44, 0x4e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x73, 0x75,
	0x62, 0x6a, 0x65, 0x63, 0x74, 0x44, 0x4e, 0x12, 0x2c, 0x0a, 0x11, 0x63, 0x65, 0x72, 0x74, 0x69,
	0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x42, 0x61, 0x73, 0x65, 0x36, 0x34, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x11, 0x63, 0x65, 0x72, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x42,
	0x61, 0x73, 0x65, 0x36, 0x34, 0x12, 0x1c, 0x0a, 0x09, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x46, 0x72,
	0x6f, 0x6d, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x46,
	0x72, 0x6f, 0x6d, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x54, 0x6f, 0x18, 0x06,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x54, 0x6f, 0x12, 0x36, 0x0a,
	0x16, 0x63, 0x68, 0x61, 0x69, 0x6e, 0x43, 0x65, 0x72, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74,
	0x65, 0x42, 0x61, 0x73, 0x65, 0x36, 0x34, 0x18, 0x07, 0x20, 0x03, 0x28, 0x09, 0x52, 0x16, 0x63,
	0x68, 0x61, 0x69, 0x6e, 0x43, 0x65, 0x72, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x42,
	0x61, 0x73, 0x65, 0x36, 0x34, 0x22, 0x62, 0x0a, 0x24, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x65, 0x72,
	0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x3a, 0x0a,
	0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x75, 0x73,
	0x65, 0x72, 0x2e, 0x43, 0x65, 0x72, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x4d, 0x65, 0x73, 0x73,
	0x61, 0x67, 0x65, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x8e, 0x01, 0x0a, 0x30, 0x43, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x45, 0x46, 0x6f, 0x72, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x43, 0x65, 0x72, 0x74, 0x46, 0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x44, 0x61, 0x74, 0x61, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x1c,
	0x0a, 0x09, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x54, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x09, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x54, 0x79, 0x70, 0x65, 0x12, 0x22, 0x0a, 0x0c,
	0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x64, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0c, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x64, 0x65,
	0x12, 0x18, 0x0a, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x55, 0x72, 0x6c, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x55, 0x72, 0x6c, 0x22, 0x9f, 0x01, 0x0a, 0x31, 0x43,
	0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x45, 0x46, 0x6f, 0x72, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x43, 0x65, 0x72, 0x74, 0x46, 0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x44, 0x61, 0x74, 0x61, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x12, 0x22, 0x0a, 0x0c, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x64, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74,
	0x43, 0x6f, 0x64, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x55, 0x72, 0x6c, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x55, 0x72, 0x6c, 0x12, 0x2c,
	0x0a, 0x11, 0x63, 0x65, 0x72, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x42, 0x61, 0x73,
	0x65, 0x36, 0x34, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x11, 0x63, 0x65, 0x72, 0x74, 0x69,
	0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x42, 0x61, 0x73, 0x65, 0x36, 0x34, 0x22, 0xd7, 0x01, 0x0a,
	0x25, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x45, 0x46, 0x6f, 0x72, 0x6d, 0x46, 0x72, 0x6f, 0x6d,
	0x33, 0x72, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x44, 0x61, 0x74, 0x61, 0x4d,
	0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x54,
	0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x65, 0x46, 0x6f, 0x72, 0x6d,
	0x54, 0x79, 0x70, 0x65, 0x12, 0x22, 0x0a, 0x0c, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74,
	0x43, 0x6f, 0x64, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x64, 0x6f, 0x63, 0x75,
	0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x66, 0x69, 0x6c, 0x65,
	0x55, 0x72, 0x6c, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x55,
	0x72, 0x6c, 0x12, 0x2a, 0x0a, 0x10, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72,
	0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x69, 0x64,
	0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x12, 0x26,
	0x0a, 0x0e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x66, 0x0a, 0x26, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72,
	0x6d, 0x45, 0x46, 0x6f, 0x72, 0x6d, 0x46, 0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x44, 0x61, 0x74, 0x61, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x12, 0x22, 0x0a, 0x0c, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x64, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74,
	0x43, 0x6f, 0x64, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x55, 0x72, 0x6c, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x55, 0x72, 0x6c, 0x32, 0x9e,
	0x08, 0x0a, 0x04, 0x55, 0x73, 0x65, 0x72, 0x12, 0x49, 0x0a, 0x1b, 0x55, 0x73, 0x65, 0x72, 0x53,
	0x79, 0x6e, 0x63, 0x68, 0x72, 0x6f, 0x6e, 0x69, 0x7a, 0x65, 0x64, 0x49, 0x6e, 0x66, 0x6f, 0x72,
	0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x11, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x55, 0x73,
	0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x46, 0x0a, 0x11, 0x55, 0x73, 0x65, 0x72, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x50, 0x69, 0x6e, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x18, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x55,
	0x73, 0x65, 0x72, 0x50, 0x69, 0x6e, 0x46, 0x72, 0x6f, 0x6d, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67,
	0x65, 0x1a, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5b, 0x0a, 0x1a, 0x55, 0x73,
	0x65, 0x72, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x49, 0x64,
	0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x12, 0x24, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e,
	0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x41, 0x64, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x46, 0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x1a, 0x17,
	0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x59, 0x0a, 0x1a, 0x55, 0x73, 0x65, 0x72, 0x41,
	0x64, 0x64, 0x44, 0x65, 0x76, 0x69, 0x63, 0x65, 0x46, 0x69, 0x72, 0x65, 0x62, 0x61, 0x73, 0x65,
	0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x22, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x41, 0x64, 0x64,
	0x46, 0x69, 0x72, 0x65, 0x62, 0x61, 0x73, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d,
	0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x33, 0x72, 0x64, 0x1a, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x5f, 0x0a, 0x13, 0x55, 0x73, 0x65, 0x72, 0x47, 0x65, 0x74, 0x43, 0x65, 0x72,
	0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x73, 0x12, 0x1c, 0x2e, 0x75, 0x73, 0x65, 0x72,
	0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x65, 0x72, 0x74,
	0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x1a, 0x2a, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x43, 0x65, 0x72, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x4d, 0x65, 0x73, 0x73,
	0x61, 0x67, 0x65, 0x12, 0x7a, 0x0a, 0x18, 0x55, 0x73, 0x65, 0x72, 0x47, 0x65, 0x74, 0x43, 0x65,
	0x72, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x12,
	0x27, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x43, 0x65, 0x72, 0x74, 0x69, 0x66,
	0x69, 0x63, 0x61, 0x74, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x4f, 0x66, 0x55, 0x73, 0x65,
	0x72, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x1a, 0x35, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e,
	0x47, 0x65, 0x74, 0x43, 0x65, 0x72, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65, 0x44, 0x65,
	0x74, 0x61, 0x69, 0x6c, 0x4f, 0x66, 0x55, 0x73, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12,
	0x87, 0x01, 0x0a, 0x21, 0x55, 0x73, 0x65, 0x72, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x45, 0x66,
	0x6f, 0x72, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x43, 0x65, 0x72, 0x74, 0x69, 0x66,
	0x69, 0x63, 0x61, 0x74, 0x65, 0x12, 0x2a, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x45, 0x46, 0x6f, 0x72, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x43,
	0x65, 0x72, 0x74, 0x46, 0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67,
	0x65, 0x1a, 0x36, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x45,
	0x46, 0x6f, 0x72, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x43, 0x65, 0x72, 0x74, 0x46,
	0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x44, 0x61,
	0x74, 0x61, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x8a, 0x01, 0x0a, 0x22, 0x55, 0x73,
	0x65, 0x72, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x45, 0x66, 0x6f, 0x72, 0x6d, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x43, 0x65, 0x72, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x65,
	0x12, 0x2b, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x45,
	0x46, 0x6f, 0x72, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x43, 0x65, 0x72, 0x74, 0x46,
	0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x1a, 0x37, 0x2e,
	0x75, 0x73, 0x65, 0x72, 0x2e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x45, 0x46, 0x6f, 0x72,
	0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x43, 0x65, 0x72, 0x74, 0x46, 0x72, 0x6f, 0x6d,
	0x33, 0x72, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x44, 0x61, 0x74, 0x61, 0x4d,
	0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x69, 0x0a, 0x19, 0x55, 0x73, 0x65, 0x72, 0x43, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x45, 0x66, 0x6f, 0x72, 0x6d, 0x55, 0x73, 0x65, 0x44, 0x69, 0x67, 0x69,
	0x74, 0x61, 0x6c, 0x12, 0x1f, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x45, 0x46, 0x6f, 0x72, 0x6d, 0x46, 0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x4d, 0x65, 0x73,
	0x73, 0x61, 0x67, 0x65, 0x1a, 0x2b, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x43, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x45, 0x46, 0x6f, 0x72, 0x6d, 0x46, 0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x44, 0x61, 0x74, 0x61, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67,
	0x65, 0x12, 0x6c, 0x0a, 0x1a, 0x55, 0x73, 0x65, 0x72, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d,
	0x45, 0x66, 0x6f, 0x72, 0x6d, 0x55, 0x73, 0x65, 0x44, 0x69, 0x67, 0x69, 0x74, 0x61, 0x6c, 0x12,
	0x20, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x45, 0x46,
	0x6f, 0x72, 0x6d, 0x46, 0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67,
	0x65, 0x1a, 0x2c, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d,
	0x45, 0x46, 0x6f, 0x72, 0x6d, 0x46, 0x72, 0x6f, 0x6d, 0x33, 0x72, 0x64, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x44, 0x61, 0x74, 0x61, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x42,
	0x27, 0x5a, 0x25, 0x65, 0x78, 0x61, 0x6d, 0x70, 0x6c, 0x65, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x74,
	0x75, 0x6e, 0x67, 0x2d, 0x70, 0x74, 0x2f, 0x67, 0x6f, 0x2d, 0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x75,
	0x73, 0x65, 0x72, 0x3b, 0x75, 0x73, 0x65, 0x72, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_protos_user_proto_rawDescOnce sync.Once
	file_protos_user_proto_rawDescData = file_protos_user_proto_rawDesc
)

func file_protos_user_proto_rawDescGZIP() []byte {
	file_protos_user_proto_rawDescOnce.Do(func() {
		file_protos_user_proto_rawDescData = protoimpl.X.CompressGZIP(file_protos_user_proto_rawDescData)
	})
	return file_protos_user_proto_rawDescData
}

var file_protos_user_proto_msgTypes = make([]protoimpl.MessageInfo, 17)
var file_protos_user_proto_goTypes = []interface{}{
	(*UserRequest)(nil),                                       // 0: user.UserRequest
	(*UserPinFromMessage)(nil),                                // 1: user.UserPinFromMessage
	(*DeviceAddRequestFrom3RdMessage)(nil),                    // 2: user.DeviceAddRequestFrom3rdMessage
	(*AddFirebaseRequestMessage3Rd)(nil),                      // 3: user.AddFirebaseRequestMessage3rd
	(*RequestListCertificate)(nil),                            // 4: user.RequestListCertificate
	(*GetCertificateDetailOfUserMessage)(nil),                 // 5: user.GetCertificateDetailOfUserMessage
	(*CreateEFormRequestCertFrom3RdMessage)(nil),              // 6: user.CreateEFormRequestCertFrom3rdMessage
	(*ConfirmEFormRequestCertFrom3RdMessage)(nil),             // 7: user.ConfirmEFormRequestCertFrom3rdMessage
	(*CreateEFormFrom3RdMessage)(nil),                         // 8: user.CreateEFormFrom3rdMessage
	(*ConfirmEFormFrom3RdMessage)(nil),                        // 9: user.ConfirmEFormFrom3rdMessage
	(*CertificateResponseDetailMessage)(nil),                  // 10: user.CertificateResponseDetailMessage
	(*GetCertificateDetailOfUserResponseDetailMessage)(nil),   // 11: user.GetCertificateDetailOfUserResponseDetailMessage
	(*ListCertificateResponseDetailMessage)(nil),              // 12: user.ListCertificateResponseDetailMessage
	(*CreateEFormRequestCertFrom3RdResponseDataMessage)(nil),  // 13: user.CreateEFormRequestCertFrom3rdResponseDataMessage
	(*ConfirmEFormRequestCertFrom3RdResponseDataMessage)(nil), // 14: user.ConfirmEFormRequestCertFrom3rdResponseDataMessage
	(*CreateEFormFrom3RdResponseDataMessage)(nil),             // 15: user.CreateEFormFrom3rdResponseDataMessage
	(*ConfirmEFormFrom3RdResponseDataMessage)(nil),            // 16: user.ConfirmEFormFrom3rdResponseDataMessage
	(*common.UserModel)(nil),                                  // 17: common.UserModel
	(*common.LocationSignMessage)(nil),                        // 18: common.LocationSignMessage
	(*common.OpratingSystemMobileMessage)(nil),                // 19: common.OpratingSystemMobileMessage
	(*common.MessageResponse)(nil),                            // 20: common.MessageResponse
}
var file_protos_user_proto_depIdxs = []int32{
	17, // 0: user.UserRequest.listUser:type_name -> common.UserModel
	17, // 1: user.CreateEFormRequestCertFrom3rdMessage.userModel:type_name -> common.UserModel
	18, // 2: user.CreateEFormRequestCertFrom3rdMessage.location:type_name -> common.LocationSignMessage
	19, // 3: user.CreateEFormRequestCertFrom3rdMessage.deviceInfo:type_name -> common.OpratingSystemMobileMessage
	18, // 4: user.ConfirmEFormRequestCertFrom3rdMessage.location:type_name -> common.LocationSignMessage
	19, // 5: user.ConfirmEFormRequestCertFrom3rdMessage.deviceInfo:type_name -> common.OpratingSystemMobileMessage
	18, // 6: user.CreateEFormFrom3rdMessage.location:type_name -> common.LocationSignMessage
	19, // 7: user.CreateEFormFrom3rdMessage.deviceInfo:type_name -> common.OpratingSystemMobileMessage
	18, // 8: user.ConfirmEFormFrom3rdMessage.location:type_name -> common.LocationSignMessage
	19, // 9: user.ConfirmEFormFrom3rdMessage.deviceInfo:type_name -> common.OpratingSystemMobileMessage
	10, // 10: user.ListCertificateResponseDetailMessage.data:type_name -> user.CertificateResponseDetailMessage
	0,  // 11: user.User.UserSynchronizedInformation:input_type -> user.UserRequest
	1,  // 12: user.User.UserUpdatePinCode:input_type -> user.UserPinFromMessage
	2,  // 13: user.User.UserUpdateDeviceIdentifier:input_type -> user.DeviceAddRequestFrom3rdMessage
	3,  // 14: user.User.UserAddDeviceFirebasetoken:input_type -> user.AddFirebaseRequestMessage3rd
	4,  // 15: user.User.UserGetCertificates:input_type -> user.RequestListCertificate
	5,  // 16: user.User.UserGetCertificateDetail:input_type -> user.GetCertificateDetailOfUserMessage
	6,  // 17: user.User.UserCreateEformRequestCertificate:input_type -> user.CreateEFormRequestCertFrom3rdMessage
	7,  // 18: user.User.UserConfirmEformRequestCertificate:input_type -> user.ConfirmEFormRequestCertFrom3rdMessage
	8,  // 19: user.User.UserCreateEformUseDigital:input_type -> user.CreateEFormFrom3rdMessage
	9,  // 20: user.User.UserConfirmEformUseDigital:input_type -> user.ConfirmEFormFrom3rdMessage
	20, // 21: user.User.UserSynchronizedInformation:output_type -> common.MessageResponse
	20, // 22: user.User.UserUpdatePinCode:output_type -> common.MessageResponse
	20, // 23: user.User.UserUpdateDeviceIdentifier:output_type -> common.MessageResponse
	20, // 24: user.User.UserAddDeviceFirebasetoken:output_type -> common.MessageResponse
	12, // 25: user.User.UserGetCertificates:output_type -> user.ListCertificateResponseDetailMessage
	11, // 26: user.User.UserGetCertificateDetail:output_type -> user.GetCertificateDetailOfUserResponseDetailMessage
	13, // 27: user.User.UserCreateEformRequestCertificate:output_type -> user.CreateEFormRequestCertFrom3rdResponseDataMessage
	14, // 28: user.User.UserConfirmEformRequestCertificate:output_type -> user.ConfirmEFormRequestCertFrom3rdResponseDataMessage
	15, // 29: user.User.UserCreateEformUseDigital:output_type -> user.CreateEFormFrom3rdResponseDataMessage
	16, // 30: user.User.UserConfirmEformUseDigital:output_type -> user.ConfirmEFormFrom3rdResponseDataMessage
	21, // [21:31] is the sub-list for method output_type
	11, // [11:21] is the sub-list for method input_type
	11, // [11:11] is the sub-list for extension type_name
	11, // [11:11] is the sub-list for extension extendee
	0,  // [0:11] is the sub-list for field type_name
}

func init() { file_protos_user_proto_init() }
func file_protos_user_proto_init() {
	if File_protos_user_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_protos_user_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UserRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UserPinFromMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeviceAddRequestFrom3RdMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddFirebaseRequestMessage3Rd); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RequestListCertificate); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetCertificateDetailOfUserMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateEFormRequestCertFrom3RdMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConfirmEFormRequestCertFrom3RdMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateEFormFrom3RdMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConfirmEFormFrom3RdMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CertificateResponseDetailMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetCertificateDetailOfUserResponseDetailMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListCertificateResponseDetailMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateEFormRequestCertFrom3RdResponseDataMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConfirmEFormRequestCertFrom3RdResponseDataMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateEFormFrom3RdResponseDataMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_protos_user_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConfirmEFormFrom3RdResponseDataMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_protos_user_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   17,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_protos_user_proto_goTypes,
		DependencyIndexes: file_protos_user_proto_depIdxs,
		MessageInfos:      file_protos_user_proto_msgTypes,
	}.Build()
	File_protos_user_proto = out.File
	file_protos_user_proto_rawDesc = nil
	file_protos_user_proto_goTypes = nil
	file_protos_user_proto_depIdxs = nil
}
